Public Attributes | List of all members
adc_trim_info_t Struct Reference
SYSTEM » System SDK » Structures

ADC trim parameter information definition. More...

`#include <gr55xx_sys.h>`

## Public Attributes
uint16_t | adc_temp
| ADC TEMP. More...
uint16_t | slope_int_0p8
| Internal reference 0.8v. More...
uint16_t | offset_int_0p8
| Internal reference 0.8v. More...
uint16_t | slope_int_1p2
| Internal reference 1.2v. More...
uint16_t | offset_int_1p2
| Internal reference 1.2v. More...
uint16_t | slope_int_1p6
| Internal reference 1.6v. More...
uint16_t | offset_int_1p6
| Internal reference 1.6v. More...
uint16_t | slope_int_2p0
| Internal reference 2.0v. More...
uint16_t | offset_int_2p0
| Internal reference 2.0v. More...
uint16_t | slope_ext_1p0
| External reference 1.0v. More...
uint16_t | offset_ext_1p0
| External reference 1.0v. More...

## Detailed Description

ADC trim parameter information definition.

Definition at line 175 of file gr55xx_sys.h.

## Member Data Documentation

## ◆ adc_temp

uint16_t adc_trim_info_t::adc_temp

ADC TEMP.

Definition at line 177 of file gr55xx_sys.h.

## ◆ offset_ext_1p0

uint16_t adc_trim_info_t::offset_ext_1p0

External reference 1.0v.

Definition at line 187 of file gr55xx_sys.h.

## ◆ offset_int_0p8

uint16_t adc_trim_info_t::offset_int_0p8

Internal reference 0.8v.

Definition at line 179 of file gr55xx_sys.h.

## ◆ offset_int_1p2

uint16_t adc_trim_info_t::offset_int_1p2

Internal reference 1.2v.

Definition at line 181 of file gr55xx_sys.h.

## ◆ offset_int_1p6

uint16_t adc_trim_info_t::offset_int_1p6

Internal reference 1.6v.

Definition at line 183 of file gr55xx_sys.h.

## ◆ offset_int_2p0

uint16_t adc_trim_info_t::offset_int_2p0

Internal reference 2.0v.

Definition at line 185 of file gr55xx_sys.h.

## ◆ slope_ext_1p0

uint16_t adc_trim_info_t::slope_ext_1p0

External reference 1.0v.

Definition at line 186 of file gr55xx_sys.h.

## ◆ slope_int_0p8

uint16_t adc_trim_info_t::slope_int_0p8

Internal reference 0.8v.

Definition at line 178 of file gr55xx_sys.h.

## ◆ slope_int_1p2

uint16_t adc_trim_info_t::slope_int_1p2

Internal reference 1.2v.

Definition at line 180 of file gr55xx_sys.h.

## ◆ slope_int_1p6

uint16_t adc_trim_info_t::slope_int_1p6

Internal reference 1.6v.

Definition at line 182 of file gr55xx_sys.h.

## ◆ slope_int_2p0

uint16_t adc_trim_info_t::slope_int_2p0

Internal reference 2.0v.

Definition at line 184 of file gr55xx_sys.h.

The documentation for this struct was generated from the following file:

- gr55xx_sys.h